var app = app || {};
app.MainController = (function (app) {
    var instance = {};
    var ON_CHANGE_SETTING_EVENT_NAME = 'OnChangeSetting';

    instance.init = function () {
        var parameters = app.RouteServices.getParams();
        if (parameters.length == 0) {
            return;
        }

        var parameterName = parameters[0].name,
            parameterValue = parameters[0].value;

        var currentController = app.Controlers[parameterName];
        if(currentController){
            if(currentController.initPage) {
                WebLink.info.setOnChangeSettingEventName(ON_CHANGE_SETTING_EVENT_NAME);
                window.document.addEventListener(ON_CHANGE_SETTING_EVENT_NAME, function (ev) {
                    if(ev.detail && ev.detail.language) {
                        currentController.initPage(parameterValue);
                    }
                });
                currentController.initPage(parameterValue);
            }

            var wrapperId = currentController.getWrapperId();
            var wrapperClass = currentController.getWrapperClass();
            function makeWrapperVisible() {
                if (!document.getElementById(wrapperId)) {
                    setTimeout(function () {
                        makeWrapperVisible();
                    }, 500);
                } else{
                    document.getElementById(wrapperId).style.display = 'block';
                    document.getElementById(wrapperId).className = document.getElementById(wrapperId).className + " " + wrapperClass;
                }
            }
            makeWrapperVisible();
        }
    };

    return instance;
})(app);