(function () {
    LocalizationService.loadLicenseDocument()
        .then(updateUI);

    LocalizationService.onLanguageChange(updateUI);

    function updateUI(result) {
        document.body.innerHTML = result;

        if (WebLinkHostEULA.isAccepted()) {
            document.getElementById('acceptBtn').className = "acceptedBtnIfAccepted";
            document.getElementById('acceptBtn').setAttribute('disabled', "true");
            document.getElementById('title').style.display = 'none';
        } else {
            document.getElementById('title').style.display = '';
        }
    }

    document.addEventListener('click', function (ev) {
        var btn = ev.target;
        if (btn.id === 'declineBtn') {
            WebLinkHostEULA.onDecline();
        } else if (btn.id === 'acceptBtn' && !WebLinkHostEULA.isAccepted()) {
            WebLinkHostEULA.onAccept();
            btn.className = "acceptedBtnIfAccepted";
        }
    });
})();
