if (typeof (WebLink) === 'undefined') { WebLink = {}; }
if (typeof (WebLink.browserPlugin) === 'undefined') { WebLink.browserPlugin = {}; }

WebLink.browserPlugin.createBrowserWebView = function(x, y, width, height, statusCallback, pageHistoryCallback) {
  var res = -1;
  res = WebLinkHostBrowser.createBrowserWebView(x, y, width, height, statusCallback, pageHistoryCallback);
  return res;
};

WebLink.browserPlugin.showBrowserWebView = function(browserID, show) {
  WebLinkHostBrowser.showBrowserWebView(browserID, show);
};

WebLink.browserPlugin.isBrowserWebViewAvailable = function(browserID) {
  var res = WebLinkHostBrowser.isBrowserWebViewAvailable(browserID);
  return res;
};

WebLink.browserPlugin.reloadPage = function(browserID) {
  var res = WebLinkHostBrowser.reloadPage(browserID);
  return res;
};

WebLink.browserPlugin.loadUri = function(browserID, uri) {
  var res = WebLinkHostBrowser.loadUri(browserID, uri);
  return res;
};

WebLink.browserPlugin.getBrowserImage = function(browserID, width, height) {
  var res = WebLinkHostBrowser.getBrowserImage(browserID, width, height);
  return res;
};

WebLink.browserPlugin.deleteImage = function(url) {
  WebLinkHostBrowser.deleteImage(url);
};

WebLink.browserPlugin.getPageState = function(browserID) {
  var res = WebLinkHostBrowser.getPageState(browserID);
  return res;
};

WebLink.browserPlugin.loadPageState = function(browserID, pageState) {
  WebLinkHostBrowser.loadPageState(browserID);
  return res;
};

WebLink.browserPlugin.scrollDown = function(browserID) {
  WebLinkHostBrowser.scroll(browserID, true);
};

WebLink.browserPlugin.scrollUp = function(browserID) {
  WebLinkHostBrowser.scroll(browserID, false);
};

/**
 *   Registers a listener for scroll events from the second webview.
 **/
WebLink.browserPlugin.registerScrollListener = function(scrollListener) {
  WebLink.browserPlugin._scrollListener = scrollListener;
};

WebLink.browserPlugin._onScroll = function(scrollData, browserID) {
if (typeof(WebLink.browserPlugin._scrollListener) === 'function') {
    WebLink.browserPlugin._scrollListener(scrollData, browserID);
  }
};

