var WebLinkService = (function () {
    var onChangeSettingsEventName = 'OnChangeSetting';

    var webLinkPromise =  new Promise(function (resolve, reject) {
        var intervalId = setInterval(function () {
            if (window.WebLinkHostEULA && window.WebLink) {
                clearInterval(intervalId);
                resolve();
            }
        }, 200);
    });

    function getWebLinkObjectsPromise() {
        return webLinkPromise;
    }


    // //Mock WebLink Objects
    // setTimeout(function () {
    //     window.WebLinkHostEULA = {
    //         isAccepted: function () {
    //             return false;
    //         },
    //         onAccept: function () {
    //             console.log('the License waw accepted!');
    //
    //         },
    //         onDecline: function () {
    //             console.log('The License was declined!');
    //             console.log('Close the app!');
    //         }
    //     };
    //
        window.WebLink = {
            info: {
                getSettings: function () {
                    return {
                        language: 'en'
                    }
                }
            }
        };
    // }, 1000);

    function getOnChangeSettingsEventName() {
        return onChangeSettingsEventName;
    }

    return {
        getWebLinkObjectsPromise: getWebLinkObjectsPromise,
        getOnChangeSettingsEventName: getOnChangeSettingsEventName
    }
})();
