if (typeof (WebLink) === 'undefined') {
	WebLink = {};
}
if (typeof (WebLink.mediaplayer) === 'undefined') {
	WebLink.mediaplayer = {};
}

if (typeof (WebLink.mediaplayer.getItems) === 'undefined') {
	WebLink.mediaplayer.getItems = function(itemType, callback) {
		WebLinkHostMP.getItems(itemType, callback);
	};
}

if (typeof (WebLink.mediaplayer.selectSongs) === 'undefined') {
	WebLink.mediaplayer.selectSongs = function(indexItem, itemType) {
		WebLinkHostMP.selectSongs(indexItem, itemType);
	};
}

if (typeof (WebLink.mediaplayer.selectSongsAndPlay) === 'undefined') {
	WebLink.mediaplayer.selectSongsAndPlay = function(indexItem, itemType, indexSong, position) {
		WebLinkHostMP.selectSongsAndPlay(indexItem, itemType, indexSong, position);
	};
}

if (typeof (WebLink.mediaplayer.startStop) === 'undefined') {
	WebLink.mediaplayer.startStop = function() {
		WebLinkHostMP.startStop();
	};
}

if (typeof (WebLink.mediaplayer.initMediaPlayer) === 'undefined') {
	WebLink.mediaplayer.initMediaPlayer = function() {
		WebLinkHostMP.initMediaPlayer();
	};
}

if (typeof (WebLink.mediaplayer.setOnCompltationCallback) === 'undefined') {
	WebLink.mediaplayer.setOnCompltationCallback = function(callback) {
		WebLinkHostMP.setOnCompltationCallback(callback);
	};
}

if (typeof (WebLink.mediaplayer.setOnProgresCallback) === 'undefined') {
	WebLink.mediaplayer.setOnProgresCallback = function(callback) {
		WebLinkHostMP.setOnProgresCallback(callback);
	};
}

if (typeof (WebLink.mediaplayer.setOnPlayerStateCallback) === 'undefined') {
	WebLink.mediaplayer.setOnPlayerStateCallback = function(callback) {
		WebLinkHostMP.setOnPlayerStateCallback(callback);
	};
}

if (typeof (WebLink.mediaplayer.setOnPlaySongChangedCallback) === 'undefined') {
	WebLink.mediaplayer.setOnPlaySongChangedCallback = function(callback) {
		WebLinkHostMP.setOnPlaySongChangedCallback(callback);
	};
}

if (typeof (WebLink.mediaplayer.setOnPlaybackErrorCallback) === 'undefined') {
	WebLink.mediaplayer.setOnPlaybackErrorCallback = function(callback) {
		WebLinkHostMP.setOnPlaybackErrorCallback(callback);
	};
}

if (typeof (WebLink.mediaplayer.setRepeat) === 'undefined') {
	WebLink.mediaplayer.setRepeat = function(isRepeat) {
		WebLinkHostMP.setRepeat(isRepeat);
	};
}

if (typeof (WebLink.mediaplayer.setLoop) === 'undefined') {
	WebLink.mediaplayer.setLoop = function(isLoop) {
		WebLinkHostMP.setLoop(isLoop);
	};
}

if (typeof (WebLink.mediaplayer.seekTo) === 'undefined') {
	WebLink.mediaplayer.seekTo = function(position) {
		WebLinkHostMP.seekTo(position);
	};
}

if (typeof (WebLink.mediaplayer.setMuteOnOFF) === 'undefined') {
	WebLink.mediaplayer.setMuteOnOFF = function(isMute) {
		WebLinkHostMP.setMuteOnOFF(isMute);
	};
}

if (typeof (WebLink.mediaplayer.nextSong) === 'undefined') {
	WebLink.mediaplayer.nextSong = function() {
		return WebLinkHostMP.nextSong();
	};
}

if (typeof (WebLink.mediaplayer.prevSong) === 'undefined') {
	WebLink.mediaplayer.prevSong = function() {
		return WebLinkHostMP.prevSong();
	};
}

if (typeof (WebLink.mediaplayer.getListItems) === 'undefined') {
	WebLink.mediaplayer.getListItems = function(itemType, startItem, numberOfItems, callback, searchOptions) {
		WebLinkHostMP.getListItems(itemType, startItem, numberOfItems, callback, JSON.stringify(searchOptions));
	};
}

if (typeof (WebLink.mediaplayer.getList) === 'undefined') {
	WebLink.mediaplayer.getList = function(parentItemType, parentID, itemType, startItem, numberOfItem, callback, searchOptions) {
		WebLinkHostMP.getList(parentItemType, parentID, itemType, startItem,  numberOfItem, callback, JSON.stringify(searchOptions));
	};
}

if (typeof (WebLink.mediaplayer.playSongs) === 'undefined') {
	WebLink.mediaplayer.playSongs = function(parentItemID, parentItemType, indexSong) {
		WebLinkHostMP.playSongs(parentItemID, parentItemType, indexSong);
	};
}

if (typeof (WebLink.mediaplayer.playAudio) === 'undefined') {
	WebLink.mediaplayer.playAudio = function(audioObject) {
		WebLinkHostMP.playAudio(audioObject);
	};
}

if (typeof (WebLink.mediaplayer.playSongsFromPosition) === 'undefined') {
	WebLink.mediaplayer.playSongsFromPosition = function(parentItemID, parentItemType, indexSong, position) {
		WebLinkHostMP.playSongsFromPosition(parentItemID, parentItemType, indexSong, position);
	};
}

if (typeof (WebLink.mediaplayer.searchItems) === 'undefined') {
	WebLink.mediaplayer.searchItems = function(keyword, itemTypes, numResult, callback) {
		WebLinkHostMP.searchItems(keyword, itemTypes, numResult, callback);
	};
}

/*  VIDEO functions */

if (typeof (WebLink.mediaplayer.video) === 'undefined') {
	WebLink.mediaplayer.video = {};
}

if (typeof (WebLink.mediaplayer.video.getAlbums) === 'undefined') {
	WebLink.mediaplayer.video.getAlbums = function(startItem, numberOfItems, callback, searchOptions) {
   		WebLinkHostMP.getVideoListItems("album", startItem,  numberOfItems, callback, JSON.stringify(searchOptions));
	};
}

if (typeof (WebLink.mediaplayer.video.getArtists) === 'undefined') {
	WebLink.mediaplayer.video.getArtists = function(startItem, numberOfItems, callback, searchOptions) {
   		WebLinkHostMP.getVideoListItems("artist", startItem,  numberOfItems, callback, JSON.stringify(searchOptions));
	};
}

if (typeof (WebLink.mediaplayer.video.getGenres) === 'undefined') {
	WebLink.mediaplayer.video.getGenres = function(startItem, numberOfItems, callback, searchOptions) {
   		WebLinkHostMP.getVideoListItems("genres", startItem,  numberOfItems, callback, JSON.stringify(searchOptions));
	};
}

if (typeof (WebLink.mediaplayer.video.getPlaylists) === 'undefined') {
	WebLink.mediaplayer.video.getPlaylists = function(startItem, numberOfItems, callback, searchOptions) {
   		WebLinkHostMP.getVideoListItems("playlists", startItem,  numberOfItems, callback, JSON.stringify(searchOptions));
	};
}

if (typeof (WebLink.mediaplayer.video.getPodcasts) === 'undefined') {
	WebLink.mediaplayer.video.getPodcasts = function(startItem, numberOfItems, callback, searchOptions) {
   		WebLinkHostMP.getVideoListItems("podcasts", startItem,  numberOfItems, callback, JSON.stringify(searchOptions));
	};
}

if (typeof (WebLink.mediaplayer.video.getVideos) === 'undefined') {
	WebLink.mediaplayer.video.getVideos = function(startItem, numberOfItems, callback, searchOptions) {
   		WebLinkHostMP.getVideoListItems("videos", startItem,  numberOfItems, callback, JSON.stringify(searchOptions));
	};
}

if (typeof (WebLink.mediaplayer.video.getVideosByArtist) === 'undefined') {
	WebLink.mediaplayer.video.getVideosByArtist = function(artistID, startItem, numberOfItems, callback, searchOptions) {
   		WebLinkHostMP.getVideosByArtist(artistID, startItem,  numberOfItems, callback, JSON.stringify(searchOptions));
	};
}

if (typeof (WebLink.mediaplayer.video.getAlbumsByGenre) === 'undefined') {
	WebLink.mediaplayer.video.getAlbumsByGenre = function(genreID, startItem, numberOfItems, callback) {
   		WebLinkHostMP.getVideoChildItems("genres", genreID, "albums", startItem,  numberOfItems, callback);
	};
}

if (typeof (WebLink.mediaplayer.video.getVideosByAlbum) === 'undefined') {
	WebLink.mediaplayer.video.getVideosByAlbum = function(albumID, startItem, numberOfItems, callback, searchOptions) {
   		WebLinkHostMP.getVideosByAlbum(albumID, startItem,  numberOfItems, callback, JSON.stringify(searchOptions));
	};
}

if (typeof (WebLink.mediaplayer.video.getVideosByPlaylist) === 'undefined') {
	WebLink.mediaplayer.video.getVideosByPlaylist = function(playlistID, startItem, numberOfItems, callback) {
   		WebLinkHostMP.getVideoChildItems("playlists", playlistID, "videos", startItem,  numberOfItems, callback);
	};
}

if (typeof (WebLink.mediaplayer.video.getVideosByPodcast) === 'undefined') {
	WebLink.mediaplayer.video.getVideosByPodcast = function(podcastID, startItem, numberOfItems, callback) {
   		WebLinkHostMP.getVideoChildItems("podcasts", podcastID, "videos", startItem,  numberOfItems, callback);
	};
}

if (typeof (WebLink.mediaplayer.video.search) === 'undefined') {
	WebLink.mediaplayer.video.search = function(keyword, numResult, callback, searchOptions) {
		WebLinkHostMP.searchVideoItems(keyword, numResult, callback, JSON.stringify(searchOptions));
	};
}

if (typeof (WebLink.mediaplayer.video.getCameraVideos) === 'undefined') {
	WebLink.mediaplayer.video.getCameraVideos = function(startItem, numberOfItems, callback, searchOptions) {
		WebLinkHostMP.getCameraVideos(startItem, numberOfItems, callback, JSON.stringify(searchOptions));
	};
}

if (typeof (WebLink.mediaplayer.video.getNonCameraVideos) === 'undefined') {
	WebLink.mediaplayer.video.getNonCameraVideos = function(startItem, numberOfItems, callback, searchOptions) {
		WebLinkHostMP.getNonCameraVideos(startItem, numberOfItems, callback, JSON.stringify(searchOptions));
	};
}
